Bug 1063111 - (CVE-2014-1608, CVE-2014-1609) CVE-2014-1608 CVE-2014-1609 mantis: SQL injection issues
CVE-2014-1608 CVE-2014-1609 mantis: SQL injection issues
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140119,repor...
: Security
Depends On: 1063113 1063114
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-09 22:24 EST by Murray McAllister
Modified: 2015-01-05 11:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-02-09 22:24:20 EST
SQL injection issues were discovered in MantisBT, an open source issue tracker.

CVE-2014-1608 patch:
https://github.com/mantisbt/mantisbt/commit/00b4c17088fa56594d85fe46b6c6057bb3421102

CVE-2014-1609 patch:
https://github.com/mantisbt/mantisbt/commit/7efe0175f0853e18ebfacedfd2374c4179028b3f

It was reported that versions 1.1.0a4 to 1.2.15 are affected.

References:
http://www.ocert.org/advisories/ocert-2014-001.html
Comment 1 Murray McAllister 2014-02-09 22:25:58 EST
Created mantis tracking bugs for this issue:

Affects: fedora-all [bug 1063113]
Affects: epel-5 [bug 1063114]
Comment 2 Fedora Update System 2014-03-13 01:01:29 EDT
mantis-1.2.17-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-03-13 01:07:13 EDT
mantis-1.2.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.